- defaults:
    outputs:
      stderr: false
      stdout: false
    link:
        relink: true
        create: true

- create:
    ~/.vim/sessions:
    ~/.vim/backup:
    ~/.vim/swap:
    ~/.vim/undo:
    ~/.vim/plugged:
    ~/.vim/autoload:
    ~/.vim/my-snippets:
    ~/.aws:
    ~/.tmux/plugins:
    ~/.terraform-logs:
    ~/.local/lib/github-markdown-css:
    ~/logs:
    ~/tmp:

- pip:
    file: config/pip-requirements.txt
    binary: PIP_REQUIRE_VIRTUALENV=false python3 -m pip
    user: false
    check: true

- web:
    file: config/web-packages.yaml

# What directory should be inspected for dead links (they will be automatically removed)
- clean: ['~', '~/.config']

# Files that we want linked
- link:
    ~/.vim:
      force: true
    ~/.shell:
    ~/.vimrc:
    ~/.inputrc:
    ~/.pythonrc:
    ~/.tmux.conf:
    ~/.gitconfig:
    ~/.myprofiles:
    # ~/.dotfiles: ''
    ~/.gitignore_global:

- shell:
  # TODO move into dotbot-plugin
  - sudo npm install --global yarn && yarn --version
  - sudo npm install --global markserv  # Mardkown server

# Raw shell commands we want to run when installing
- shell:
    - TMUX_PLUGIN_MANAGER_PATH=$HOME/.tmux/plugins ~/.tmux/plugins/tpm/scripts/install_plugins.sh
    - git submodule sync --recursive
    # The following have to run after linking ~/.gitconfig
    - git update-submodules
    - >
        git cleanall -f
        shell/plugins/
    - git clone https://github.com/tmux-plugins/tpm ~/.tmux/plugins/tpm || true
